import { ViewPlugin, ViewUpdate } from "@codemirror/view";
import { StateField, EditorState } from "@codemirror/state";
declare type InlineFetchFn = (state: EditorState) => Promise<string>;
export declare const fetchSuggestion: (fetchFn: InlineFetchFn) => ViewPlugin<{
    update(update: ViewUpdate): Promise<void>;
}>;
declare type InlineSuggestionOptions = {
    fetchFn: (state: EditorState) => Promise<string>;
    delay?: number;
};
export declare function inlineSuggestion(options: InlineSuggestionOptions): (StateField<{
    suggestion: string | null;
}> | ViewPlugin<{
    update(update: ViewUpdate): Promise<void>;
}> | readonly import("@codemirror/state").Extension[])[];
export {};
